#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=armv5l
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-arm -M versatilepb -nographic -no-reboot -kernel zImage -hda hda.sqf -append "root=/dev/sda rw init=/sbin/init.sh panic=1 PATH=$DISTCC_PATH_PREFIX/bin:/sbin console=ttyAMA0 HOST=armv5l $KERNEL_EXTRA" $QEMU_EXTRA -net nic,model=rtl8139 -net user
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
